function [] = LOKACE_znelost(znelost,Y)

    [vyznacene_useky, pocet_useku] = bwlabel(znelost);

    for n = 1:pocet_useku
        [~, c] = find(vyznacene_useky == n);
        index = c(1);
        delka_rady = numel(c);
        c = [];
    
        usek = reshape(Y(:,index:index+delka_rady-1),1,[]); 
 
        save(['Znelost_useky/usek_' num2str(n) '.mat'],'usek')
 
    end

end